> For the complete documentation index, see [llms.txt](https://docs.stylemixthemes.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.stylemixthemes.com/ulisting/listing-types/submit-form.md).

# Submit Form

In the Submit Form, the required fields can be dragged from the All Available custom fields. Dragged custom fields appear on the listing creation process.

{% hint style="info" %}
The sequence of dragging custom fields onto the build page will be in the same sequence as they appear on the listing creation page.
{% endhint %}

![](https://2876486769-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-MDTKPddy4RxFiB8SCuu%2F-Malha9R4Fgy3qb27IXi%2F-Mamw0lbO1WVsAX8JI9I%2FEdit-List-%E2%80%B9-uListing-%E2%80%94-WordPress5675.png?alt=media\&token=9417fe38-f295-4f9b-8171-996074eca4ab)

The size of the custom field can be regulated to create more flexibility and comfort to the listing creation.

![](https://2876486769-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-MDTKPddy4RxFiB8SCuu%2F-Malha9R4Fgy3qb27IXi%2F-Mamx1QyLFJakfw1D1I7%2F856.png?alt=media\&token=a271e6bb-3ea9-4b79-9d6b-870fea9cc0c4)

All dragged items appear in the new listing creation process.

![](https://2876486769-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-MDTKPddy4RxFiB8SCuu%2F-Mb-ZzeGnb2J1RJxEGRA%2F-Mb-xvVwu76hGm96k2k9%2FAdd-New-List-%E2%80%B9-uListing-%E2%80%94-WordPresstyhj.png?alt=media\&token=ce0d7d09-cca6-49dd-816d-80ea0a90e853)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.stylemixthemes.com/ulisting/listing-types/submit-form.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
